
#!/usr/bin/python
# -*- coding: utf-8 -*-

# Library für den Sensor
from Adafruit_BMP085 import BMP085

import sys
import time
import gspread

# Festlegung globaler Variablen
i = 1                                                           # Schleifenbedingung für Endlosmessung
steps = 10                                                      # Zeitintervall fuer die Messung in Sekunden
wksname = 'Messungen ' + time.strftime('%d.%m.%Y-%H:%M')        # Name für das Google-Docs-Arbeitsblatt
count = 10                                                      # Anzahl der Messungen, welche in Google-Docs aufgenommen werden
rows = 1                                                        # Zeilen für Google-Docs
cols = 4                                                        # Spalten für Google-Docs
mail = 'Deine_Mailadresse@gmail.com'                            # Mail-Adresse für google-docs
mailpsw = 'Dein Passwort'                                       # Passwort für gmail



# Anmeldung und Arbeitsblatt erzeugen
gc = gspread.login(mail,mailpsw)
sh = gc.open("Messungen")
print 'Erzeuge neues Arbeitsblatt: ' + wksname
wks = sh.add_worksheet(wksname,rows,cols)

# Tabellenkopf schreiben
print 'Schreibe Tabellenkopf'
wks.update_acell('A1','Datum')
wks.update_acell('B1','Uhrzeit')
wks.update_acell('C1','Temperatur [C]')
wks.update_acell('D1','Luftdruck [hPa]')

# Sensor initialisieren
bmp = BMP085(0x77, 3, debug=False)

while i != 0:
      # Messung von Temperatur, Druck, Luftfeuchte
      print 'Beginne mit der neuen Messung'
      bmp085_temp = bmp.readTemperature()
      bmp085_pres = (bmp.readPressure() / 100.0)
      bmp085_alti = bmp.readAltitude()

      # Werte zu Google-Docs übertragen
      # Reihenfolge: Datum, Uhrzeit, Temperatur, Luftdruck
      wks.append_row([time.strftime('%d %m %Y'), time.strftime('%H:%M:%S'), str(bmp085_temp).replace(".",","), str(bmp085_pres).replace(".",",")])

      # Warten, bis die neue Messung beginnt
      print "Neue Messung startet in %s Sekunden" %(steps)
      time.sleep(steps)
